> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get donor card details



## OpenAPI

````yaml get /admin/donor-credit-card/{donor_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor-credit-card/{donor_id}:
    get:
      tags:
        - Donor
      summary: Get donor card details
      operationId: 14658fc8b1af72fdfb544a431169fda8
      parameters:
        - name: donor_id
          in: path
          description: The id of the donor
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Card details retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  card:
                    type: array
                    items:
                      type: object
                  pubKey:
                    type: string
                    example: pk_xuPpaoBbdDL4ZSXHc4Ky89qGTvppn
                type: object
        '400':
          description: No Payment Gateway Setup
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: No Payment Gateway Setup
                  status:
                    type: string
                    example: error
                type: object
        '404':
          description: No card found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: No card found
                  pubKey:
                    type: string
                    example: Not available
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````